[valadoc] autogen.sh: Honor NOCONFIGURE=1



commit 2c84ce4c8054312269345139095b8b86397018e3
Author: Colin Walters <walters verbum org>
Date:   Wed Jun 6 15:24:25 2012 -0400

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt

 autogen.sh |   18 ++++++++++++------
 1 files changed, 12 insertions(+), 6 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 9c728c5..944efd3 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,12 +1,18 @@
 #!/bin/sh
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
 
-ORIGDIR=`pwd`
+olddir=`pwd`
 cd $srcdir
 
-autoreconf -v --install || exit 1
-cd $ORIGDIR || exit $?
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+        echo "*** No autoreconf found, please install it ***"
+        exit 1
+fi
 
-$srcdir/configure --enable-maintainer-mode "$@"
+autoreconf --force --install --verbose
+
+cd $olddir
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]